<?xml version="1.0" encoding="UTF-8"?>
<dataSource name="noaa@localhost">
  <database-model serializer="dbm" dbms="MYSQL" family-id="MYSQL" format-version="4.45">
    <root id="1">
      <DefaultCasing>exact</DefaultCasing>
      <DefaultEngine>InnoDB</DefaultEngine>
      <DefaultTmpEngine>InnoDB</DefaultTmpEngine>
      <ServerVersion>8.0.32</ServerVersion>
    </root>
    <schema id="2" parent="1" name="information_schema"/>
    <schema id="3" parent="1" name="mysql"/>
    <schema id="4" parent="1" name="noaa">
      <Current>1</Current>
    </schema>
    <schema id="5" parent="1" name="performance_schema"/>
    <schema id="6" parent="1" name="sys"/>
    <table id="7" parent="4" name="stations">
      <Engine>InnoDB</Engine>
      <CollationName>utf8mb4_0900_ai_ci</CollationName>
    </table>
    <column id="8" parent="7" name="Id">
      <AutoIncrement>30104</AutoIncrement>
      <DasType>int|0s</DasType>
      <NotNull>1</NotNull>
      <Position>1</Position>
    </column>
    <column id="9" parent="7" name="CALL">
      <DasType>varchar(255)|0s</DasType>
      <Position>2</Position>
    </column>
    <column id="10" parent="7" name="CTRY">
      <DasType>varchar(255)|0s</DasType>
      <Position>3</Position>
    </column>
    <column id="11" parent="7" name="ELEV">
      <DasType>varchar(255)|0s</DasType>
      <Position>4</Position>
    </column>
    <column id="12" parent="7" name="LAT">
      <DasType>varchar(255)|0s</DasType>
      <Position>5</Position>
    </column>
    <column id="13" parent="7" name="LON">
      <DasType>varchar(255)|0s</DasType>
      <Position>6</Position>
    </column>
    <column id="14" parent="7" name="ST">
      <DasType>varchar(255)|0s</DasType>
      <Position>7</Position>
    </column>
    <column id="15" parent="7" name="STATION_NAME">
      <DasType>varchar(255)|0s</DasType>
      <Position>8</Position>
    </column>
    <column id="16" parent="7" name="USAF">
      <DasType>varchar(255)|0s</DasType>
      <Position>9</Position>
    </column>
    <column id="17" parent="7" name="WBAN">
      <DasType>varchar(255)|0s</DasType>
      <Position>10</Position>
    </column>
    <column id="18" parent="7" name="BEGIN">
      <DasType>varchar(255)|0s</DasType>
      <Position>11</Position>
    </column>
    <column id="19" parent="7" name="END">
      <DasType>varchar(255)|0s</DasType>
      <Position>12</Position>
    </column>
    <index id="20" parent="7" name="PRIMARY">
      <ColNames>Id</ColNames>
      <Type>btree</Type>
      <Unique>1</Unique>
    </index>
    <key id="21" parent="7" name="PRIMARY">
      <NameSurrogate>1</NameSurrogate>
      <Primary>1</Primary>
      <UnderlyingIndexName>PRIMARY</UnderlyingIndexName>
    </key>
  </database-model>
</dataSource>